#include<bits/stdc++.h>
#include "partition.h"
using namespace std;

const long long maxn = 1e5 + 2;

vector<int> solve(vector<int> A){
    vector<int> ans;
    int n = A.size();
    int br[maxn];
    bool check = true;

    for(int i = 0 ; i < n ; i ++){
        br[A[i]] ++;
    }
    for(int i = 0 ; i < n ; i ++){
        if(br[A[i]] % 2 == 1){
             check = false;
        }
    }

    if(check){
        for(int i = 0 ; i < n ; i ++){
            if(br[A[i]] % 2 == 0){
                ans.push_back(i);
            }
            br[A[i]] --;
        }
        
        for(int i = 0 ; i < n ; i ++){
            if(br[A[i]] % 2 == 0){
                ans.push_back(i);
            }
            br[A[i]] ++;
        }
    }

    return ans;
}
